Bat = {
	Description = "Bat",

	Char	= "B",

	HP		= 1,

	AttackRating = 30,
	DefenseRating = 20,

	AttackPlus = 0,
	DefensePlus = 0,

	Inventory = {
		Weapon = { MinDamage = 1, DamageRange = 2 },
		Armor = { MinArmor = 0, ArmorRange = 0 }
	},

	Level	= 0,

	Follow	= false
}

function Bat:Update()
	UpdateMonster( self )
end

function Bat:BumpInto()
	CalculateDamage( Hero, self )

	SyncObject( Hero )
end

function Bat:Death()
	PrintLog( "The bat squeals horrifyingly high-pitched and dies." )

	DropItems( self )

	CalculateExp( self )
end
